Subject: Re: bug#35968: Proposed clean-compile patches for release 26.3

From: Eli Zaretskii <[email-masked]>
Date: Thu, 30 May 2019 17:03:32 +0300

> From: Paul Eggert <[email-masked]>
> Date: Wed, 29 May 2019 18:10:24 -0700
> 
> I propose the attached patches for Emacs 26.3, to help it compile 
> cleanly with more-recent software (GCC 9, librsvg 2.45.1). The idea is 
> mainly to avoid bug reports from people who would otherwise send us 
> these diagnostics. Most of these patches are already in master; the 
> exceptions (patches 2 and 5) are for parts of Emacs that are typically 
> not compiled in master.

Thanks.  I'm okay with all these changes, with one possible exception:

> @@ -351,10 +348,6 @@ size_t _bytes_free;
>  /* Are you experienced?  */
>  int __malloc_initialized;
>  
> -#else
> -
> -static struct list _fraghead[BLOCKLOG];
> -
>  #endif /* HYBRID_MALLOC */
>  
>  /* Number of extra blocks to get each time we ask for more core.

This hunk seems to be just an aesthetic cleanup.  Does it cause any
warnings/errors during compilation?  If not, I'd prefer to leave it
out, for paranoia reasons.